[@acaldas/document-model-libs](../README.md) / [Exports](../modules.md) / [BudgetStatement](BudgetStatement.md) / [types](BudgetStatement.types.md) / z

# Namespace: z

[BudgetStatement](BudgetStatement.md).[types](BudgetStatement.types.md).z

## Table of contents

### Variables

- [definedNonNullAnySchema](BudgetStatement.types.z.md#definednonnullanyschema)

### Functions

- [AddChangeLogItemInputSchema](BudgetStatement.types.z.md#addchangelogiteminputschema)
- [AddModuleInputSchema](BudgetStatement.types.z.md#addmoduleinputschema)
- [AddOperationErrorInputSchema](BudgetStatement.types.z.md#addoperationerrorinputschema)
- [AddOperationExampleInputSchema](BudgetStatement.types.z.md#addoperationexampleinputschema)
- [AddOperationInputSchema](BudgetStatement.types.z.md#addoperationinputschema)
- [AddStateExampleInputSchema](BudgetStatement.types.z.md#addstateexampleinputschema)
- [AuthorSchema](BudgetStatement.types.z.md#authorschema)
- [CodeExampleSchema](BudgetStatement.types.z.md#codeexampleschema)
- [DeleteChangeLogItemInputSchema](BudgetStatement.types.z.md#deletechangelogiteminputschema)
- [DeleteModuleInputSchema](BudgetStatement.types.z.md#deletemoduleinputschema)
- [DeleteOperationErrorInputSchema](BudgetStatement.types.z.md#deleteoperationerrorinputschema)
- [DeleteOperationExampleInputSchema](BudgetStatement.types.z.md#deleteoperationexampleinputschema)
- [DeleteOperationInputSchema](BudgetStatement.types.z.md#deleteoperationinputschema)
- [DeleteStateExampleInputSchema](BudgetStatement.types.z.md#deletestateexampleinputschema)
- [DocumentModelInputSchema](BudgetStatement.types.z.md#documentmodelinputschema)
- [DocumentModelStateSchema](BudgetStatement.types.z.md#documentmodelstateschema)
- [DocumentSpecificationSchema](BudgetStatement.types.z.md#documentspecificationschema)
- [ModuleSchema](BudgetStatement.types.z.md#moduleschema)
- [MoveOperationInputSchema](BudgetStatement.types.z.md#moveoperationinputschema)
- [OperationErrorSchema](BudgetStatement.types.z.md#operationerrorschema)
- [OperationSchema](BudgetStatement.types.z.md#operationschema)
- [ReorderChangeLogItemsInputSchema](BudgetStatement.types.z.md#reorderchangelogitemsinputschema)
- [ReorderModuleOperationsInputSchema](BudgetStatement.types.z.md#reordermoduleoperationsinputschema)
- [ReorderModulesInputSchema](BudgetStatement.types.z.md#reordermodulesinputschema)
- [ReorderOperationErrorsInputSchema](BudgetStatement.types.z.md#reorderoperationerrorsinputschema)
- [ReorderOperationExamplesInputSchema](BudgetStatement.types.z.md#reorderoperationexamplesinputschema)
- [ReorderStateExamplesInputSchema](BudgetStatement.types.z.md#reorderstateexamplesinputschema)
- [SetAuthorNameInputSchema](BudgetStatement.types.z.md#setauthornameinputschema)
- [SetAuthorWebsiteInputSchema](BudgetStatement.types.z.md#setauthorwebsiteinputschema)
- [SetInitialStateInputSchema](BudgetStatement.types.z.md#setinitialstateinputschema)
- [SetModelDescriptionInputSchema](BudgetStatement.types.z.md#setmodeldescriptioninputschema)
- [SetModelExtensionInputSchema](BudgetStatement.types.z.md#setmodelextensioninputschema)
- [SetModelIdInputSchema](BudgetStatement.types.z.md#setmodelidinputschema)
- [SetModelNameInputSchema](BudgetStatement.types.z.md#setmodelnameinputschema)
- [SetModuleDescriptionInputSchema](BudgetStatement.types.z.md#setmoduledescriptioninputschema)
- [SetModuleNameInputSchema](BudgetStatement.types.z.md#setmodulenameinputschema)
- [SetOperationDescriptionInputSchema](BudgetStatement.types.z.md#setoperationdescriptioninputschema)
- [SetOperationErrorCodeInputSchema](BudgetStatement.types.z.md#setoperationerrorcodeinputschema)
- [SetOperationErrorDescriptionInputSchema](BudgetStatement.types.z.md#setoperationerrordescriptioninputschema)
- [SetOperationErrorNameInputSchema](BudgetStatement.types.z.md#setoperationerrornameinputschema)
- [SetOperationErrorTemplateInputSchema](BudgetStatement.types.z.md#setoperationerrortemplateinputschema)
- [SetOperationNameInputSchema](BudgetStatement.types.z.md#setoperationnameinputschema)
- [SetOperationReducerInputSchema](BudgetStatement.types.z.md#setoperationreducerinputschema)
- [SetOperationSchemaInputSchema](BudgetStatement.types.z.md#setoperationschemainputschema)
- [SetOperationTemplateInputSchema](BudgetStatement.types.z.md#setoperationtemplateinputschema)
- [SetStateSchemaInputSchema](BudgetStatement.types.z.md#setstateschemainputschema)
- [StateSchema](BudgetStatement.types.z.md#stateschema)
- [UpdateChangeLogItemInputSchema](BudgetStatement.types.z.md#updatechangelogiteminputschema)
- [UpdateOperationExampleInputSchema](BudgetStatement.types.z.md#updateoperationexampleinputschema)
- [UpdateStateExampleInputSchema](BudgetStatement.types.z.md#updatestateexampleinputschema)
- [isDefinedNonNullAny](BudgetStatement.types.z.md#isdefinednonnullany)

## Variables

### definedNonNullAnySchema

• `Const` **definedNonNullAnySchema**: `z.ZodEffects`<`z.ZodAny`, `any`, `any`\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:8

## Functions

### AddChangeLogItemInputSchema

▸ **AddChangeLogItemInputSchema**(): `z.ZodObject`<`Properties`<[`AddChangeLogItemInput`](BudgetStatement.types.md#addchangelogiteminput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddChangeLogItemInput`](BudgetStatement.types.md#addchangelogiteminput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:9

___

### AddModuleInputSchema

▸ **AddModuleInputSchema**(): `z.ZodObject`<`Properties`<[`AddModuleInput`](BudgetStatement.types.md#addmoduleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddModuleInput`](BudgetStatement.types.md#addmoduleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:10

___

### AddOperationErrorInputSchema

▸ **AddOperationErrorInputSchema**(): `z.ZodObject`<`Properties`<[`AddOperationErrorInput`](BudgetStatement.types.md#addoperationerrorinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddOperationErrorInput`](BudgetStatement.types.md#addoperationerrorinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:11

___

### AddOperationExampleInputSchema

▸ **AddOperationExampleInputSchema**(): `z.ZodObject`<`Properties`<[`AddOperationExampleInput`](BudgetStatement.types.md#addoperationexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddOperationExampleInput`](BudgetStatement.types.md#addoperationexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:12

___

### AddOperationInputSchema

▸ **AddOperationInputSchema**(): `z.ZodObject`<`Properties`<[`AddOperationInput`](BudgetStatement.types.md#addoperationinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddOperationInput`](BudgetStatement.types.md#addoperationinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:13

___

### AddStateExampleInputSchema

▸ **AddStateExampleInputSchema**(): `z.ZodObject`<`Properties`<[`AddStateExampleInput`](BudgetStatement.types.md#addstateexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`AddStateExampleInput`](BudgetStatement.types.md#addstateexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:14

___

### AuthorSchema

▸ **AuthorSchema**(): `z.ZodObject`<`Properties`<[`Author`](BudgetStatement.types.md#author)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`Author`](BudgetStatement.types.md#author)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:15

___

### CodeExampleSchema

▸ **CodeExampleSchema**(): `z.ZodObject`<`Properties`<[`CodeExample`](BudgetStatement.types.md#codeexample)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`CodeExample`](BudgetStatement.types.md#codeexample)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:16

___

### DeleteChangeLogItemInputSchema

▸ **DeleteChangeLogItemInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteChangeLogItemInput`](BudgetStatement.types.md#deletechangelogiteminput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteChangeLogItemInput`](BudgetStatement.types.md#deletechangelogiteminput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:17

___

### DeleteModuleInputSchema

▸ **DeleteModuleInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteModuleInput`](BudgetStatement.types.md#deletemoduleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteModuleInput`](BudgetStatement.types.md#deletemoduleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:18

___

### DeleteOperationErrorInputSchema

▸ **DeleteOperationErrorInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteOperationErrorInput`](BudgetStatement.types.md#deleteoperationerrorinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteOperationErrorInput`](BudgetStatement.types.md#deleteoperationerrorinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:19

___

### DeleteOperationExampleInputSchema

▸ **DeleteOperationExampleInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteOperationExampleInput`](BudgetStatement.types.md#deleteoperationexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteOperationExampleInput`](BudgetStatement.types.md#deleteoperationexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:20

___

### DeleteOperationInputSchema

▸ **DeleteOperationInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteOperationInput`](BudgetStatement.types.md#deleteoperationinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteOperationInput`](BudgetStatement.types.md#deleteoperationinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:21

___

### DeleteStateExampleInputSchema

▸ **DeleteStateExampleInputSchema**(): `z.ZodObject`<`Properties`<[`DeleteStateExampleInput`](BudgetStatement.types.md#deletestateexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DeleteStateExampleInput`](BudgetStatement.types.md#deletestateexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:22

___

### DocumentModelInputSchema

▸ **DocumentModelInputSchema**(): `z.ZodUnion`<[`z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"AddChangeLogItemInput"`` \| `undefined`, `any`, ``"AddChangeLogItemInput"`` \| `undefined`\> ; `content`: `z.ZodType`<`string`, `any`, `string`\> ; `insertBefore`: `z.ZodType`<`Maybe`, `any`, `Maybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"AddChangeLogItemInput"`` ; `content`: `string` ; `insertBefore`: `string` \| ``null``  }, { `__typename?`: ``"AddChangeLogItemInput"`` ; `content`: `string` ; `insertBefore`: `string` \| ``null``  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `name`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `name`: `string`  }, { `description?`: `InputMaybe` ; `name`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorCode?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorDescription?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorName?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorTemplate?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorCode?`: `InputMaybe` ; `errorDescription?`: `InputMaybe` ; `errorName?`: `InputMaybe` ; `errorTemplate?`: `InputMaybe` ; `operationId`: `string`  }, { `errorCode?`: `InputMaybe` ; `errorDescription?`: `InputMaybe` ; `errorName?`: `InputMaybe` ; `errorTemplate?`: `InputMaybe` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `operationId`: `string`  }, { `example`: `string` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `moduleId`: `z.ZodType`<`string`, `any`, `string`\> ; `name`: `z.ZodType`<`string`, `any`, `string`\> ; `reducer?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `schema?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `template?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `moduleId`: `string` ; `name`: `string` ; `reducer?`: `InputMaybe` ; `schema?`: `InputMaybe` ; `template?`: `InputMaybe`  }, { `description?`: `InputMaybe` ; `moduleId`: `string` ; `name`: `string` ; `reducer?`: `InputMaybe` ; `schema?`: `InputMaybe` ; `template?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `insertBefore?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `insertBefore?`: `InputMaybe`  }, { `example`: `string` ; `insertBefore?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"DeleteChangeLogItemInput"`` \| `undefined`, `any`, ``"DeleteChangeLogItemInput"`` \| `undefined`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"DeleteChangeLogItemInput"`` ; `id`: `string`  }, { `__typename?`: ``"DeleteChangeLogItemInput"`` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `newModuleId`: `z.ZodType`<`string`, `any`, `string`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `newModuleId`: `string` ; `operationId`: `string`  }, { `newModuleId`: `string` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"ReorderChangeLogItemsInput"`` \| `undefined`, `any`, ``"ReorderChangeLogItemsInput"`` \| `undefined`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"ReorderChangeLogItemsInput"`` ; `order`: `string`[]  }, { `__typename?`: ``"ReorderChangeLogItemsInput"`` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `moduleId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `moduleId`: `string` ; `order`: `string`[]  }, { `moduleId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `order`: `string`[]  }, { `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `operationId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `operationId`: `string` ; `order`: `string`[]  }, { `operationId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `operationId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `operationId`: `string` ; `order`: `string`[]  }, { `operationId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `order`: `string`[]  }, { `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `authorName`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `authorName`: `string`  }, { `authorName`: `string`  }\>, `z.ZodObject`<`Required`<{ `authorWebsite`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `authorWebsite`: `string`  }, { `authorWebsite`: `string`  }\>, `z.ZodObject`<`Required`<{ `initialValue`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `initialValue`: `string`  }, { `initialValue`: `string`  }\>, `z.ZodObject`<`Required`<{ `description`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description`: `string`  }, { `description`: `string`  }\>, `z.ZodObject`<`Required`<{ `extension`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `extension`: `string`  }, { `extension`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `name`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `name`: `string`  }, { `name`: `string`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `id`: `string`  }, { `description?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `name?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `name?`: `InputMaybe`  }, { `id`: `string` ; `name?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `id`: `string`  }, { `description?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorCode?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorCode?`: `InputMaybe` ; `id`: `string`  }, { `errorCode?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorDescription?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorDescription?`: `InputMaybe` ; `id`: `string`  }, { `errorDescription?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorName?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorName?`: `InputMaybe` ; `id`: `string`  }, { `errorName?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorTemplate?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorTemplate?`: `InputMaybe` ; `id`: `string`  }, { `errorTemplate?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `name?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `name?`: `InputMaybe`  }, { `id`: `string` ; `name?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `reducer?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `reducer?`: `InputMaybe`  }, { `id`: `string` ; `reducer?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `schema?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `schema?`: `InputMaybe`  }, { `id`: `string` ; `schema?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `template?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `template?`: `InputMaybe`  }, { `id`: `string` ; `template?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `schema`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `schema`: `string`  }, { `schema`: `string`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"UpdateChangeLogItemInput"`` \| `undefined`, `any`, ``"UpdateChangeLogItemInput"`` \| `undefined`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\> ; `newContent`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"UpdateChangeLogItemInput"`` ; `id`: `string` ; `newContent`: `string`  }, { `__typename?`: ``"UpdateChangeLogItemInput"`` ; `id`: `string` ; `newContent`: `string`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `id`: `string`  }, { `example`: `string` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `newExample`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `newExample`: `string`  }, { `id`: `string` ; `newExample`: `string`  }\>]\>

#### Returns

`z.ZodUnion`<[`z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"AddChangeLogItemInput"`` \| `undefined`, `any`, ``"AddChangeLogItemInput"`` \| `undefined`\> ; `content`: `z.ZodType`<`string`, `any`, `string`\> ; `insertBefore`: `z.ZodType`<`Maybe`, `any`, `Maybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"AddChangeLogItemInput"`` ; `content`: `string` ; `insertBefore`: `string` \| ``null``  }, { `__typename?`: ``"AddChangeLogItemInput"`` ; `content`: `string` ; `insertBefore`: `string` \| ``null``  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `name`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `name`: `string`  }, { `description?`: `InputMaybe` ; `name`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorCode?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorDescription?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorName?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `errorTemplate?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorCode?`: `InputMaybe` ; `errorDescription?`: `InputMaybe` ; `errorName?`: `InputMaybe` ; `errorTemplate?`: `InputMaybe` ; `operationId`: `string`  }, { `errorCode?`: `InputMaybe` ; `errorDescription?`: `InputMaybe` ; `errorName?`: `InputMaybe` ; `errorTemplate?`: `InputMaybe` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `operationId`: `string`  }, { `example`: `string` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `moduleId`: `z.ZodType`<`string`, `any`, `string`\> ; `name`: `z.ZodType`<`string`, `any`, `string`\> ; `reducer?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `schema?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `template?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `moduleId`: `string` ; `name`: `string` ; `reducer?`: `InputMaybe` ; `schema?`: `InputMaybe` ; `template?`: `InputMaybe`  }, { `description?`: `InputMaybe` ; `moduleId`: `string` ; `name`: `string` ; `reducer?`: `InputMaybe` ; `schema?`: `InputMaybe` ; `template?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `insertBefore?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `insertBefore?`: `InputMaybe`  }, { `example`: `string` ; `insertBefore?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"DeleteChangeLogItemInput"`` \| `undefined`, `any`, ``"DeleteChangeLogItemInput"`` \| `undefined`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"DeleteChangeLogItemInput"`` ; `id`: `string`  }, { `__typename?`: ``"DeleteChangeLogItemInput"`` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `newModuleId`: `z.ZodType`<`string`, `any`, `string`\> ; `operationId`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `newModuleId`: `string` ; `operationId`: `string`  }, { `newModuleId`: `string` ; `operationId`: `string`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"ReorderChangeLogItemsInput"`` \| `undefined`, `any`, ``"ReorderChangeLogItemsInput"`` \| `undefined`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"ReorderChangeLogItemsInput"`` ; `order`: `string`[]  }, { `__typename?`: ``"ReorderChangeLogItemsInput"`` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `moduleId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `moduleId`: `string` ; `order`: `string`[]  }, { `moduleId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `order`: `string`[]  }, { `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `operationId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `operationId`: `string` ; `order`: `string`[]  }, { `operationId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `operationId`: `z.ZodType`<`string`, `any`, `string`\> ; `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `operationId`: `string` ; `order`: `string`[]  }, { `operationId`: `string` ; `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `order`: `z.ZodType`<`string`[], `any`, `string`[]\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `order`: `string`[]  }, { `order`: `string`[]  }\>, `z.ZodObject`<`Required`<{ `authorName`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `authorName`: `string`  }, { `authorName`: `string`  }\>, `z.ZodObject`<`Required`<{ `authorWebsite`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `authorWebsite`: `string`  }, { `authorWebsite`: `string`  }\>, `z.ZodObject`<`Required`<{ `initialValue`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `initialValue`: `string`  }, { `initialValue`: `string`  }\>, `z.ZodObject`<`Required`<{ `description`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description`: `string`  }, { `description`: `string`  }\>, `z.ZodObject`<`Required`<{ `extension`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `extension`: `string`  }, { `extension`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string`  }, { `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `name`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `name`: `string`  }, { `name`: `string`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `id`: `string`  }, { `description?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `name?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `name?`: `InputMaybe`  }, { `id`: `string` ; `name?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `description?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `description?`: `InputMaybe` ; `id`: `string`  }, { `description?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorCode?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorCode?`: `InputMaybe` ; `id`: `string`  }, { `errorCode?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorDescription?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorDescription?`: `InputMaybe` ; `id`: `string`  }, { `errorDescription?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorName?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorName?`: `InputMaybe` ; `id`: `string`  }, { `errorName?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `errorTemplate?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `errorTemplate?`: `InputMaybe` ; `id`: `string`  }, { `errorTemplate?`: `InputMaybe` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `name?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `name?`: `InputMaybe`  }, { `id`: `string` ; `name?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `reducer?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `reducer?`: `InputMaybe`  }, { `id`: `string` ; `reducer?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `schema?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `schema?`: `InputMaybe`  }, { `id`: `string` ; `schema?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `template?`: `z.ZodType`<`InputMaybe`, `any`, `InputMaybe`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `template?`: `InputMaybe`  }, { `id`: `string` ; `template?`: `InputMaybe`  }\>, `z.ZodObject`<`Required`<{ `schema`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `schema`: `string`  }, { `schema`: `string`  }\>, `z.ZodObject`<`Required`<{ `__typename?`: `z.ZodType`<``"UpdateChangeLogItemInput"`` \| `undefined`, `any`, ``"UpdateChangeLogItemInput"`` \| `undefined`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\> ; `newContent`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `__typename?`: ``"UpdateChangeLogItemInput"`` ; `id`: `string` ; `newContent`: `string`  }, { `__typename?`: ``"UpdateChangeLogItemInput"`` ; `id`: `string` ; `newContent`: `string`  }\>, `z.ZodObject`<`Required`<{ `example`: `z.ZodType`<`string`, `any`, `string`\> ; `id`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `example`: `string` ; `id`: `string`  }, { `example`: `string` ; `id`: `string`  }\>, `z.ZodObject`<`Required`<{ `id`: `z.ZodType`<`string`, `any`, `string`\> ; `newExample`: `z.ZodType`<`string`, `any`, `string`\>  }\>, `z.UnknownKeysParam`, `z.ZodTypeAny`, { `id`: `string` ; `newExample`: `string`  }, { `id`: `string` ; `newExample`: `string`  }\>]\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:23

___

### DocumentModelStateSchema

▸ **DocumentModelStateSchema**(): `z.ZodObject`<`Properties`<[`DocumentModelState`](BudgetStatement.types.md#documentmodelstate)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DocumentModelState`](BudgetStatement.types.md#documentmodelstate)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:375

___

### DocumentSpecificationSchema

▸ **DocumentSpecificationSchema**(): `z.ZodObject`<`Properties`<[`DocumentSpecification`](BudgetStatement.types.md#documentspecification)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`DocumentSpecification`](BudgetStatement.types.md#documentspecification)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:376

___

### ModuleSchema

▸ **ModuleSchema**(): `z.ZodObject`<`Properties`<[`Module`](BudgetStatement.types.md#module)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`Module`](BudgetStatement.types.md#module)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:377

___

### MoveOperationInputSchema

▸ **MoveOperationInputSchema**(): `z.ZodObject`<`Properties`<[`MoveOperationInput`](BudgetStatement.types.md#moveoperationinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`MoveOperationInput`](BudgetStatement.types.md#moveoperationinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:378

___

### OperationErrorSchema

▸ **OperationErrorSchema**(): `z.ZodObject`<`Properties`<[`OperationError`](BudgetStatement.types.md#operationerror)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`OperationError`](BudgetStatement.types.md#operationerror)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:380

___

### OperationSchema

▸ **OperationSchema**(): `z.ZodObject`<`Properties`<[`Operation`](BudgetStatement.types.md#operation)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`Operation`](BudgetStatement.types.md#operation)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:379

___

### ReorderChangeLogItemsInputSchema

▸ **ReorderChangeLogItemsInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderChangeLogItemsInput`](BudgetStatement.types.md#reorderchangelogitemsinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderChangeLogItemsInput`](BudgetStatement.types.md#reorderchangelogitemsinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:381

___

### ReorderModuleOperationsInputSchema

▸ **ReorderModuleOperationsInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderModuleOperationsInput`](BudgetStatement.types.md#reordermoduleoperationsinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderModuleOperationsInput`](BudgetStatement.types.md#reordermoduleoperationsinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:382

___

### ReorderModulesInputSchema

▸ **ReorderModulesInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderModulesInput`](BudgetStatement.types.md#reordermodulesinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderModulesInput`](BudgetStatement.types.md#reordermodulesinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:383

___

### ReorderOperationErrorsInputSchema

▸ **ReorderOperationErrorsInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderOperationErrorsInput`](BudgetStatement.types.md#reorderoperationerrorsinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderOperationErrorsInput`](BudgetStatement.types.md#reorderoperationerrorsinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:384

___

### ReorderOperationExamplesInputSchema

▸ **ReorderOperationExamplesInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderOperationExamplesInput`](BudgetStatement.types.md#reorderoperationexamplesinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderOperationExamplesInput`](BudgetStatement.types.md#reorderoperationexamplesinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:385

___

### ReorderStateExamplesInputSchema

▸ **ReorderStateExamplesInputSchema**(): `z.ZodObject`<`Properties`<[`ReorderStateExamplesInput`](BudgetStatement.types.md#reorderstateexamplesinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`ReorderStateExamplesInput`](BudgetStatement.types.md#reorderstateexamplesinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:386

___

### SetAuthorNameInputSchema

▸ **SetAuthorNameInputSchema**(): `z.ZodObject`<`Properties`<[`SetAuthorNameInput`](BudgetStatement.types.md#setauthornameinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetAuthorNameInput`](BudgetStatement.types.md#setauthornameinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:387

___

### SetAuthorWebsiteInputSchema

▸ **SetAuthorWebsiteInputSchema**(): `z.ZodObject`<`Properties`<[`SetAuthorWebsiteInput`](BudgetStatement.types.md#setauthorwebsiteinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetAuthorWebsiteInput`](BudgetStatement.types.md#setauthorwebsiteinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:388

___

### SetInitialStateInputSchema

▸ **SetInitialStateInputSchema**(): `z.ZodObject`<`Properties`<[`SetInitialStateInput`](BudgetStatement.types.md#setinitialstateinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetInitialStateInput`](BudgetStatement.types.md#setinitialstateinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:389

___

### SetModelDescriptionInputSchema

▸ **SetModelDescriptionInputSchema**(): `z.ZodObject`<`Properties`<[`SetModelDescriptionInput`](BudgetStatement.types.md#setmodeldescriptioninput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModelDescriptionInput`](BudgetStatement.types.md#setmodeldescriptioninput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:390

___

### SetModelExtensionInputSchema

▸ **SetModelExtensionInputSchema**(): `z.ZodObject`<`Properties`<[`SetModelExtensionInput`](BudgetStatement.types.md#setmodelextensioninput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModelExtensionInput`](BudgetStatement.types.md#setmodelextensioninput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:391

___

### SetModelIdInputSchema

▸ **SetModelIdInputSchema**(): `z.ZodObject`<`Properties`<[`SetModelIdInput`](BudgetStatement.types.md#setmodelidinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModelIdInput`](BudgetStatement.types.md#setmodelidinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:392

___

### SetModelNameInputSchema

▸ **SetModelNameInputSchema**(): `z.ZodObject`<`Properties`<[`SetModelNameInput`](BudgetStatement.types.md#setmodelnameinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModelNameInput`](BudgetStatement.types.md#setmodelnameinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:393

___

### SetModuleDescriptionInputSchema

▸ **SetModuleDescriptionInputSchema**(): `z.ZodObject`<`Properties`<[`SetModuleDescriptionInput`](BudgetStatement.types.md#setmoduledescriptioninput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModuleDescriptionInput`](BudgetStatement.types.md#setmoduledescriptioninput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:394

___

### SetModuleNameInputSchema

▸ **SetModuleNameInputSchema**(): `z.ZodObject`<`Properties`<[`SetModuleNameInput`](BudgetStatement.types.md#setmodulenameinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetModuleNameInput`](BudgetStatement.types.md#setmodulenameinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:395

___

### SetOperationDescriptionInputSchema

▸ **SetOperationDescriptionInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationDescriptionInput`](BudgetStatement.types.md#setoperationdescriptioninput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationDescriptionInput`](BudgetStatement.types.md#setoperationdescriptioninput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:396

___

### SetOperationErrorCodeInputSchema

▸ **SetOperationErrorCodeInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationErrorCodeInput`](BudgetStatement.types.md#setoperationerrorcodeinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationErrorCodeInput`](BudgetStatement.types.md#setoperationerrorcodeinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:397

___

### SetOperationErrorDescriptionInputSchema

▸ **SetOperationErrorDescriptionInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationErrorDescriptionInput`](BudgetStatement.types.md#setoperationerrordescriptioninput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationErrorDescriptionInput`](BudgetStatement.types.md#setoperationerrordescriptioninput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:398

___

### SetOperationErrorNameInputSchema

▸ **SetOperationErrorNameInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationErrorNameInput`](BudgetStatement.types.md#setoperationerrornameinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationErrorNameInput`](BudgetStatement.types.md#setoperationerrornameinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:399

___

### SetOperationErrorTemplateInputSchema

▸ **SetOperationErrorTemplateInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationErrorTemplateInput`](BudgetStatement.types.md#setoperationerrortemplateinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationErrorTemplateInput`](BudgetStatement.types.md#setoperationerrortemplateinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:400

___

### SetOperationNameInputSchema

▸ **SetOperationNameInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationNameInput`](BudgetStatement.types.md#setoperationnameinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationNameInput`](BudgetStatement.types.md#setoperationnameinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:401

___

### SetOperationReducerInputSchema

▸ **SetOperationReducerInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationReducerInput`](BudgetStatement.types.md#setoperationreducerinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationReducerInput`](BudgetStatement.types.md#setoperationreducerinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:402

___

### SetOperationSchemaInputSchema

▸ **SetOperationSchemaInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationSchemaInput`](BudgetStatement.types.md#setoperationschemainput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationSchemaInput`](BudgetStatement.types.md#setoperationschemainput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:403

___

### SetOperationTemplateInputSchema

▸ **SetOperationTemplateInputSchema**(): `z.ZodObject`<`Properties`<[`SetOperationTemplateInput`](BudgetStatement.types.md#setoperationtemplateinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetOperationTemplateInput`](BudgetStatement.types.md#setoperationtemplateinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:404

___

### SetStateSchemaInputSchema

▸ **SetStateSchemaInputSchema**(): `z.ZodObject`<`Properties`<[`SetStateSchemaInput`](BudgetStatement.types.md#setstateschemainput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`SetStateSchemaInput`](BudgetStatement.types.md#setstateschemainput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:405

___

### StateSchema

▸ **StateSchema**(): `z.ZodObject`<`Properties`<[`State`](BudgetStatement.types.md#state)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`State`](BudgetStatement.types.md#state)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:406

___

### UpdateChangeLogItemInputSchema

▸ **UpdateChangeLogItemInputSchema**(): `z.ZodObject`<`Properties`<[`UpdateChangeLogItemInput`](BudgetStatement.types.md#updatechangelogiteminput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`UpdateChangeLogItemInput`](BudgetStatement.types.md#updatechangelogiteminput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:407

___

### UpdateOperationExampleInputSchema

▸ **UpdateOperationExampleInputSchema**(): `z.ZodObject`<`Properties`<[`UpdateOperationExampleInput`](BudgetStatement.types.md#updateoperationexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`UpdateOperationExampleInput`](BudgetStatement.types.md#updateoperationexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:408

___

### UpdateStateExampleInputSchema

▸ **UpdateStateExampleInputSchema**(): `z.ZodObject`<`Properties`<[`UpdateStateExampleInput`](BudgetStatement.types.md#updatestateexampleinput)\>\>

#### Returns

`z.ZodObject`<`Properties`<[`UpdateStateExampleInput`](BudgetStatement.types.md#updatestateexampleinput)\>\>

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:409

___

### isDefinedNonNullAny

▸ **isDefinedNonNullAny**(`v`): v is definedNonNullAny

#### Parameters

| Name | Type |
| :------ | :------ |
| `v` | `any` |

#### Returns

v is definedNonNullAny

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/zod.d.ts:7
